---
# https://vitepress.dev/reference/default-theme-home-page
layout: home

title: Nginx UI
titleTemplate: Yet another Nginx Web UI

hero:
    name: "Nginx UI"
    text: "Nginx 管理介面新選擇"
    tagline: 智能、強大、高速
    image:
        src: /assets/icon.svg
        alt: Nginx UI
    actions:
        -   theme: brand
            text: 即刻開始
            link: /zh_CN/guide/about
        -   theme: alt
            text: 在 Github 上檢視
            link: https://github.com/0xJacky/nginx-ui

features:
    -   icon: 📊
        title: 伺服器指標的線上統計
        details: 即時監控 CPU 使用率、記憶體使用率、平均負載和磁碟使用情況。
    -   icon: 💾
        title: 設定文件自動備份
        details: 設定修改後會自動備份，可以對比任意版本或恢復到任意版本。
    -   icon: 🔄
        title: 叢集管理
        details: 支援映象操作到多個叢集節點，輕鬆管理多伺服器環境。
    -   icon: 📤
        title: 匯出加密設定
        details: 匯出加密的 Nginx/NginxUI 設定，方便快速部署和恢復到新環境。
    -   icon: 💬
        title: 線上 ChatGPT 助手
        details: 支援多種模型，包括顯示 Deepseek-R1 的思考鏈，幫助您更好地理解和最佳化設定。
    -   icon: 🔍
        title: 代碼補全
        details: 代碼編輯器支持代碼補全，幫助您更快地編寫配置。
    -   icon: 🤖
        title: MCP (Model Context Protocol)
        details: 提供特殊接口讓 AI 代理與 Nginx UI 互動，實現自動化配置管理和服務控制。
    -   icon: 🖱️
        title: 一鍵部署和自動續期
        details: 只需一鍵即可輕鬆部署和自動續期 Let's Encrypt 證書。
    -   icon: 🛠️
        title: 線上編輯網站設定
        details: 使用我們的 NgxConfigEditor 區塊編輯器或帶有 Nginx 語法高亮的 Ace 程式碼編輯器編輯設定。
    -   icon: 📜
        title: 線上檢視 Nginx 日誌
        details: 直接線上存取和檢視您的 Nginx 日誌。
    -   icon: 💻
        title: 使用 Go 和 Vue 編寫
        details: 該平臺使用 Go 和 Vue 建構，並作為單個可執行二進位制文件分發。
    -   icon: 🔄
        title: 自動測試和重新載入設定
        details: 測試設定文件並在儲存更改後自動重新載入 Nginx。
    -   icon: 🖥️
        title: 網頁終端
        details: 存取基於網頁的終端以便於管理。
    -   icon: 🌙
        title: 暗模式
        details: 啟用暗模式以獲得舒適的使用者體驗。
    -   icon: 📱
        title: 響應式網頁設計
        details: 透過響應式網頁設計在任何裝置上享受無縫體驗。
    -   icon: 🔐
        title: 兩步驟驗證
        details: 使用兩步驟驗證保護敏感操作。

---

